Skip to main content
reservations

Create a reservation

Creates a new reservation in the studio of the authenticated user.

POST
/v1/reservations
beam-api-keystringheaderrequired

Body

application/json
assigneeIdsstring[] | null

User ids to assign to the reservation

bookedByIdsstring[] | null

Contact ids of the people who booked the reservation

companiesstring[] | null

Company ids to relate to the reservation

customFieldsobject

Custom field values to set on the reservation, keyed by custom field id

descriptionstring | null

Free-text description of the reservation

destinationIdsstring[] | null

Location ids used as destinations, with an optional destination comment

endDatestringrequired

End of the reservation as an ISO 8601 timestamp with timezone offset

Minimum string length: 1
startDatestringrequired

Start of the reservation as an ISO 8601 timestamp with timezone offset

Minimum string length: 1
statusIdstring

Id of the reservation status. When omitted, the studio default status is used

titlestringrequired

Title of the reservation

Minimum string length: 1

Response

application/json

The created reservation

createdAtstringrequired

Creation timestamp

createdByIdstring | nullrequired

Id of the user who created the reservation

defaultTimezonestring | nullrequired

Default timezone of the reservation

descriptionstring | nullrequired

Description of the reservation

endDatestringrequired

End of the reservation as an ISO 8601 timestamp

idintegerrequired

Reservation id

seqIdintegerrequired

Sequential number of the reservation within the studio

startDatestringrequired

Start of the reservation as an ISO 8601 timestamp

statusIdstringrequired

Id of the reservation status

studioIdstringrequired

Id of the studio owning the reservation

titlestringrequired

Title of the reservation

updatedAtstringrequired

Last update timestamp